# This configuration file is similar to the command line, with the exception
# that an equal sign '=' must be used between key and value. Example: -i=p1p2
# or --interface=p1p2 For options with no value (e.g. -v) the equal is also
# necessary. Example: "-v=" must be used.
#
# DO NOT REMOVE the following option, required for daemonization.
-e=

# Instance name
-N={{ ntopng_instance_name }}

# * Interfaces to sniff on: one interface per line, prefix with -i=
# E.g.
#-i=eth0
#-i=wlan0
# If none is specified, ntopng will try to auto-detect the best interface.
#
{% for interface in ntopng_interfaces|default([]) %}
-i={{ interface }}
{% endfor %}

# * Port on which ntopng will listen for the web-UI.
-w={{ ntopng_listen_port }}

{% if ntopng_local_networks is defined %}
# Local networks
-m={{ ntopng_local_networks|join(',') }}

{% endif %}
{% if ntopng_dump_flows is defined %}
# Dump Flows
-F={{ ntopng_dump_flows }}

{% endif %}
{% if ntopng_packet_filter is defined %}
-B={{ ntopng_packet_filter }}

{% endif %}